You are not logged in.

#1 2018-07-11 18:40:54

cgbarros
Member
Registered: 2017-04-24
Posts: 4

[SOLVED] Frescobaldi failing to launch

I'm failing to launch Frescobaldi, installed from the AUR

Yesterday it was working, but now... no luck. Running the command

cat /var/log/pacman.log | grep -i installed

to see the last installed packages the most suspicious for me seems to be python-sip-pyqt5, but that's probably because i tried to reinstall frescobaldi, which depends on python-pyqt5, which in turn depends on this package.

Below is the output from the terminal when I try to launch Frescobaldi:

qt5ct: using qt5ct plugin
qt5ct: D-Bus global menu: no
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/plugin.py", line 79, in instance
    return _instances[cls][obj]
  File "/usr/lib/python3.6/weakref.py", line 394, in __getitem__
    return self.data[ref(key)]
KeyError: <weakref at 0x7fe9c92d8868; to 'type' at 0x556bebb8bd48 (PanelManager)>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/frescobaldi", line 11, in <module>
    main.main()                     # Parse command line, create windows etc
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/main.py", line 247, in main
    win = mainwindow.MainWindow()
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/mainwindow.py", line 128, in __init__
    self.createMenus()
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/mainwindow.py", line 1010, in createMenus
    menu.createMenus(self)
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/menu.py", line 61, in createMenus
    m.addMenu(menu_file(mainwindow))
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/menu.py", line 96, in menu_file
    m.addMenu(snippet.menu.TemplateMenu(mainwindow))
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/snippet/menu.py", line 139, in __init__
    self.addAction(self.tool().actionCollection.templates_manage)
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/snippet/menu.py", line 59, in tool
    return panelmanager.manager(self.mainwindow()).snippettool
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/panelmanager.py", line 36, in manager
    return PanelManager.instance(mainwindow)
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/plugin.py", line 84, in instance
    result.__init__(obj)
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/panelmanager.py", line 51, in __init__
    self.loadPanel("musicview.MusicViewPanel")
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/panelmanager.py", line 86, in loadPanel
    __import__(module_name)
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/musicview/__init__.py", line 56, in <module>
    from . import documents
  File "/usr/lib/python3.6/site-packages/frescobaldi_app/musicview/documents.py", line 32, in <module>
    import popplerqt5
ValueError: PyCapsule_GetPointer called with incorrect name

Last edited by cgbarros (2018-07-12 14:10:00)

Offline

#2 2018-07-11 18:57:34

jasonwryan
Anarchist
From: .nz
Registered: 2009-05-09
Posts: 25,765
Website

Re: [SOLVED] Frescobaldi failing to launch

Moving to AUR Issues...


Arch + dwm   •   Mercurial repos  •   Github

Registered Linux User #482438

Offline

#3 2018-07-11 20:41:41

rdoursenaud
Member
From: Pau (France)
Registered: 2013-02-07
Posts: 2
Website

Re: [SOLVED] Frescobaldi failing to launch

Recompiling python-poppler-qt5 from the AUR should sort things out.

Offline

#4 2018-07-12 14:08:56

cgbarros
Member
Registered: 2017-04-24
Posts: 4

Re: [SOLVED] Frescobaldi failing to launch

rdoursenaud wrote:

Recompiling python-poppler-qt5 from the AUR should sort things out.

That definitely solved the issue. Thank you very much!

Offline

Board footer

Powered by FluxBB